/*
 *  GUI/Widgets/PreviewLabel.cs
 *  Copyright (C) 2006-2007 Marcin Krystian Krzywonos
 *  License: GNU/GPL version 2
 */


using System;
using Mono.Unix;
using Gtk;
using Gdk;


namespace Incollector.GUI.Widgets {
	
	public class PreviewLabel : Gtk.Label {
		
		protected Gtk.Label label;
		
		public int Width {
			get { return this.WidthRequest; }
			set { this.WidthRequest = value; }
		}
		
		public PreviewLabel (string text) : base(text)
		{
			this.UseUnderline = false;
			this.Selectable = true;
			this.Text = text;
		}
		
		protected override void OnFocusGrabbed ()
		{
			base.OnFocusGrabbed ();
			this.SelectRegion(0, 0);
		}
	}
}
